PUT /cloudconnectoruser/{uuid}
/cloudconnectoruser/{uuid}/{uuid}
UUID of the object to fetch
object name
Avi Tenant Header
Avi Tenant Header UUID
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
CloudConnectorUser object creation
Show optional properties
{
"name": "string"
}
{
"_last_modified": "string",
"azure_serviceprincipal": {
"application_id": "string",
"authentication_token": "string",
"tenant_id": "string"
},
"azure_userpass": {
"password": "string",
"tenant_name": "string",
"username": "string"
},
"gcp_credentials": {
"service_account_keyfile_data": "string"
},
"last_password_rotation": 0,
"name": "string",
"new_password_enc": "string",
"nsxt_credentials": {
"password": "string",
"username": "string"
},
"password": "string",
"private_key": "string",
"public_key": "string",
"tenant_ref": "string",
"tencent_credentials": {
"secret_id": "string",
"secret_key": "string"
},
"url": "string",
"uuid": "string",
"vcenter_credentials": {
"password": "string",
"username": "string"
}
}
OK
{
"_last_modified": "string",
"azure_serviceprincipal": {
"application_id": "string",
"authentication_token": "string",
"tenant_id": "string"
},
"azure_userpass": {
"password": "string",
"tenant_name": "string",
"username": "string"
},
"gcp_credentials": {
"service_account_keyfile_data": "string"
},
"last_password_rotation": 0,
"name": "string",
"new_password_enc": "string",
"nsxt_credentials": {
"password": "string",
"username": "string"
},
"password": "string",
"private_key": "string",
"public_key": "string",
"tenant_ref": "string",
"tencent_credentials": {
"secret_id": "string",
"secret_key": "string"
},
"url": "string",
"uuid": "string",
"vcenter_credentials": {
"password": "string",
"username": "string"
}
}
UNIX time since epoch in microseconds. Units(MICROSECONDS).
azure_serviceprincipal
azure_userpass
gcp_credentials
Timestamp (Unix epoch in seconds) of last successful password rotation. Used to determine when next rotation is due based on cc_user_password_expiry_days. Field introduced in 32.1.1. Unit is SEC. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
New password stored temporarily during rotation. Cleared after successful rotation. Field introduced in 32.1.1. Allowed with any value in Enterprise, Enterprise with Cloud Services edition.
nsxt_credentials
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
It is a reference to an object of type Tenant. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
tencent_credentials
url
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
vcenter_credentials
log in failed
object not found
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string"}' https://{api_host}/api/cloudconnectoruser/{uuid}